Package ch.qos.logback.core.net.ssl

# Class TrustManagerFactoryFactoryBean

java.lang.Object
ch.qos.logback.core.net.ssl.TrustManagerFactoryFactoryBean

public class TrustManagerFactoryFactoryBean extends Object
A factory bean for a JSSE `TrustManagerFactory`.

This object holds the configurable properties of a trust manager factory and uses them to create and load a `TrustManagerFactory` instance.

Author:
  Carl Harris

## Constructor Summary

Constructors
Constructor
Description
`TrustManagerFactoryFactoryBean()`

## Method Summary

Modifier and Type
Method
Description
`TrustManagerFactory`
`createTrustManagerFactory()`
Creates a `TrustManagerFactory` using the receiver's configuration.
`String`
`getAlgorithm()`
Gets the algorithm name for the trust manager factory.
`String`
`getProvider()`
Gets the JSSE provider name for the trust manager factory.
`void`
`setAlgorithm(String algorithm)`
Sets the algorithm name for the trust manager factory.
`void`
`setProvider(String provider)`
Sets the JSSE provider name for the trust manager factory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TrustManagerFactoryFactoryBean

public TrustManagerFactoryFactoryBean()

## Method Details

### createTrustManagerFactory

public TrustManagerFactory createTrustManagerFactory() throws NoSuchProviderException, NoSuchAlgorithmException
Creates a `TrustManagerFactory` using the receiver's configuration.

Returns:
  factory object
Throws:
  `NoSuchProviderException` - if the provider specified by `setProvider(String)` is not known to the platform
  `NoSuchAlgorithmException` - if the algorithm specified by `setAlgorithm(String)` is not known to the specified provider (or to the default platform provider if no provider is specified)

### getAlgorithm

public String getAlgorithm()
Gets the algorithm name for the trust manager factory.

Returns:
  algorithm name (e.g. `PKIX`); the default algorithm (obtained from `TrustManagerFactory.getDefaultAlgorithm()`) is returned if no algorithm has been configured

### setAlgorithm

public void setAlgorithm(String algorithm)
Sets the algorithm name for the trust manager factory.

Parameters:
  `algorithm` - an algorithm name, which must be recognized by the provider specified by `setProvider(String)` or by the platform's default provider if no provider is specified.

### getProvider

public String getProvider()
Gets the JSSE provider name for the trust manager factory.

Returns:
  provider name

### setProvider

public void setProvider(String provider)
Sets the JSSE provider name for the trust manager factory.

Parameters:
  `provider` - name of the JSSE provider to utilize in creating the trust manager factory